/*
 * Copyright (C) 2004-2008 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of fEPG
 *
 * fEPG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * fEPG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with fEPG.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __FEPG_SCREEN_MENU_H
#define __FEPG_SCREEN_MENU_H

#include <vdr/osdbase.h>

#include "config.h"


//////////////////////////////////////////////////////////////////////////////


class cScreenMenu : public cOsdObject 
{
private:
  int x1, x2, y1, y2;
  int chanWidth, timeHeight;
  int x1p, x2p, y1p, y2p;
  int width, height;
  cOsd* scrOsd;
  const cFont* font;
  
  static const int lt = 3;  // Line thickness
  static const int inc = 2; // Movement Increment
  
  void Draw(void);
  void Store(void);
  
public:
  cScreenMenu(void);
 ~cScreenMenu();
  virtual void Show(void);
  virtual eOSState ProcessKey(eKeys Key);
};


//////////////////////////////////////////////////////////////////////////////


#endif //__FEPG_SCREEN_MENU_H
