/*
 * Copyright (C) 2004-2008 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of fEPG
 *
 * fEPG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * fEPG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with fEPG.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef ___FEPGTOOLS_H
#define ___FEPGTOOLS_H

#include <vdr/osd.h>
#include <vdr/tools.h>

#include <stdlib.h>
#include <time.h>


//////////////////////////////////////////////////////////////////////////////


// Converts time a time string
void TimeToString(char* buf, const time_t t);
void TimeToString(char* buf, const struct tm* t);

// Convert number of seconds into H:M
char* DurationToString(time_t t);

const char* OsdErrorToString(eOsdError err);

// Converts ARGB values into color
#define toColor(r,g,b,a) ((tColor) (((a) << 24) | ((r) << 16) | ((g) << 8 ) | (b)))

#define GET_MINUTES(t) (( ((t) - ((t) % 60)) / 60 ) % 60)
#define MIN_TO_SEC(t)  ((t)*60)
#define HRS_TO_SEC(t)  ((t)*3600)
 

//////////////////////////////////////////////////////////////////////////////
  
#endif //___FEPGTOOLS_H
